﻿using System;
using System.IO;

using DevExpress.Diagram.Core;
using DevExpress.XtraBars.Ribbon;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : RibbonForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            using(FileStream stream = new FileStream("CustomShape.xml", FileMode.Open))
            {
                DiagramStencil stencil = DiagramStencil.Create("CustomShapes", "Custom Shapes", stream, shapeName => shapeName);

                DiagramToolboxRegistrator.RegisterStencil(stencil);
            }

            this.diagramControl.SelectedStencils = new StencilCollection(new string[] { "CustomShapes" });
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 폼 로드시 처리하기 - OnLoad(e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="e">이벤트 인자</param>
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.diagramControl.InitializeRibbon(this.ribbonControl);
        }

        #endregion
    }
}